MAN-RECODE(1)

NAZWA
man-recode - convert manual pages to another encoding

SKŁADNIA
man-recode -t to-code {--suffix=suffix|--in-place} [-dqhV] [filename]

OPIS
man-recode converts multiple manual pages from one encoding to another, guessing the appropriate input encoding for each one. It is useful when permanently recoding pages written in legacy character sets, or in build systems that need to recode a set of pages to a single common encoding (usually UTF-8) for installation. When converting many manual pages, this program is much faster than running man --recode or manconv on each page.

If an encoding declaration is found on the first line of a manual page, then that declaration is used as the input encoding for that page. Failing that, the input encoding is guessed based on the file name.

Encoding declarations have the following form:

    '\" -*- coding: UTF-8 -*-

lub (jeśli zadeklarowano również preprocesory stron podręcznika):

    '\" t -*- coding: ISO-8859-1 -*-

OPCJE

-t encoding, --to-code=encoding
    Convert manual pages to encoding.

--suffix=suffix
    Form each output file name by appending suffix to the input file name, after removing any compression extension.

--in-place
    Overwrite each input file with the output, after removing any compression extension.

-q, --quiet
    Nie wyświetla komunikatów o błędach, gdy strona nie może być skonwertowana.

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-h, --help
    Wyświetla komunikat pomocy i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

ZOBACZ TAKŻE
iconv(1), man(1), manconv(1)

BŁĘDY
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

AUTOR
Colin Watson (cjwatson@debian.org).

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.